Skip to main content

Update a WorkProfile

PUT 

/qsystem/rest/config/operationProfiles/:operationProfileId/workProfiles/:workProfileId

Update a WorkProfile

curl -u user:password -i -X POST -H 'content-type:application/json'
-d '{{"id": 6,"name": "Updated name","workProfileRules": [
{"id": 51,"ruleConditions": [],"ruleAction": {"callingRuleActionTemplateId": null,"queues": [1]
}}]}}'
http://orchestra-host:orchestra-port/qsystem/rest/config/operationProfiles/{operationProfileId}/workProfiles/{workProfileId}

Request​

Responses​

The WorkProfile that has been created